# syslog_json – sends JSON events to syslog

- Synopsis
- Requirements
- Parameters
- Status

## Synopsis

- This plugin logs ansible-playbook and ansible runs to a syslog server in JSON format
- Before 2.9 only environment variables were available for configuration

## Requirements

The below requirements are needed on the local master node that executes this callback.

- whitelist in configuration

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
facility - | Default: "user" | ini entries: [callback_syslog_json] syslog_facility = user env:SYSLOG_FACILITY | syslog facility to log as
port - | Default: 514 | ini entries: [callback_syslog_json] syslog_port = 514 env:SYSLOG_PORT | port on which the syslog server is listening
server - | Default: "localhost" | ini entries: [callback_syslog_json] syslog_server = localhost env:SYSLOG_SERVER | syslog server that will receive the event

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]
- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.